# $Revision: 1.17 $, $Date: 2011/04/25 08:50:00 $
%define		_status		stable
%define		_pearname	XML_Query2XML
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Creates XML data from SQL queries
Summary(pl.UTF-8):	%{_pearname} - Tworzenie danych XML na podstawie zapytań SQL
Name:		php-pear-%{_pearname}
Version:	1.7.2
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c43ec15723a2e927d7fafbc4ac50cd5d
URL:		http://pear.php.net/package/XML_Query2XML/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.593
Requires:	php-common >= 3:5.0.0
Requires:	php-pear
Suggests:	php-pear-I18N_UnicodeString
Suggests:	php-pear-MDB2
Suggests:	php-pear-Net_LDAP2
Obsoletes:	php-pear-XML_Query2XML-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(DB.*) pear(MDB2.*) pear(I18N/UnicodeString.*) pear(Net/LDAP2.*)

%description
XML_Query2XML allows you to transform the records retrieved with one
or more SQL SELECT queries into XML data. Very simple to highly
complex transformations are supported. Is was written with performance
in mind and can handle large amounts of data. No XSLT needed!

Major features:
- XML_Query2XML works with the classes provided by PHP5's DOM XML
  extension
- minimum effort necessary to get the simple jobs done
- highly configurable for more complex tasks
- ISO/IEC 9075-14:2005 support: mapping of SQL identifiers to XML
  names
- works with any database that is supported by PEAR DB or PEAR MDB2
- debugging and logging features
- provides profiling features
- in-depth documentation: tutorials and API documentation
- Eight case studies: from very simple to highly complex scenarios
- 168 unit tests for PHPUnit2

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_Query2XML pozwala na przetworzenie rekordów uzyskanych z jednego
lub więcej zapytań SQL SELECT na dane XML. Wspierane są różne rodzaje
transformacji - od prostych do bardzo złożonych. Pakiet został
napisany z myślą o wydajności - może obsłużyć duże ilości danych. XSLT
nie jest potrzebne!

Główne cechy:
- XML_Query2XML współpracuje z klasami dostarczonymi przez
  rozszerzenie DOM XML PHP5,
- do prostych zadań potrzebny jest minimalny nakład sił,
- wysoce konfigurowalny dla złożonych zadań,
- wsparcie dla ISO/IEC 9075-14:2005: mapowanie identyfikatorów SQL do
  nazw XML,
- współpracuje z bazami danych wspieranymi przez PEAR DB lub PEAR
  MDB2,
- możliwość 'odpluskwiania' i logowania,
- dostarcza możliwość profilowania,
- rozbudowana dokumentacja: przewodnik oraz opis API,
- osiem studiów przypadku: od prostych do bardzo złożonych
  scenariuszy,
- 168 testów dla PHPUnit2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/XML_Query2XML/tutorials/XML_Query2XML examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/Query2XML.php
%{php_pear_dir}/XML/Query2XML
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Query2XML.spec,v $
Revision 1.17  2011/04/25 08:50:00  glen
- up to 1.7.2

Revision 1.16  2011/03/01 06:28:55  glen
- release 3

Revision 1.15  2011/01/23 01:03:32  sparky
- dropped -tests subpackage

Revision 1.14  2010/08/21 19:08:41  glen
- updated deps with pearize.sh
- release 2

Revision 1.13  2009/05/03 09:22:36  adamg
- updated to 1.7.1

Revision 1.12  2008/05/03 08:35:27  adamg
- updated to 1.7.0

Revision 1.11  2008-01-31 12:16:12  glen
- rel 2

Revision 1.10  2007-09-05 18:02:54  adamg
- updated to 1.4.0

Revision 1.9  2007/09/01 18:21:07  adamg
- updated to 1.3.0

Revision 1.8  2007/07/05 21:47:00  glen
- updated to 1.2.1

Revision 1.7  2007/03/01 00:03:43  glen
- 1.1.0

Revision 1.6  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.4  2006/12/26 13:09:54  adamg
- updated to 1.0.0

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/29 12:35:39  qboosh
- missing dirs, typos, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 09:06:32  adamg
- new
